#! /bin/sh

mkdir -p /home/user/.feedservice/facebook/image-cache
chown -R user:users /home/user/.feedservice/facebook

sqlite3 /home/user/.feedservice/facebook/facebook.db <<END_OF_DB
create table status (id integer primary key autoincrement, friend_uid text, friend_name text, message text, status_type text, image_id integer, foreign key(image_id) references status_image(id) on delete set null);

create table notification (id integer primary key autoincrement, message_count text, poke_count text, friend_request_count text);

create table status_image (id integer primary key autoincrement, image_url text, image_path text);
END_OF_DB